Bug 177561 - Largesmp kernel does not see all logical CPUs on IBM x460
Largesmp kernel does not see all logical CPUs on IBM x460
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2006-01-11 15:17 EST by Jim Paradis
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 16:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Paradis 2006-01-11 15:17:05 EST
When booting largesmp kernel on a 4-node IBM x460, only 32 logical CPUs are
reported.  Since the 4-node configuration has 16 dual-core hyperthreaded CPUs,
there should be 64 logical CPUs present.  The system console log shows entries
like this:

ACPI: LAPIC (acpi_id[0x20] lapic_id[0x80] enabled)
Processor #128 invalid (max 128)
ACPI: LAPIC (acpi_id[0x21] lapic_id[0x81] enabled)
Processor #129 invalid (max 128)
ACPI: LAPIC (acpi_id[0x22] lapic_id[0x82] enabled)
Processor #130 invalid (max 128)
ACPI: LAPIC (acpi_id[0x23] lapic_id[0x83] enabled)
Processor #131 invalid (max 128)
ACPI: LAPIC (acpi_id[0x24] lapic_id[0xa6] enabled)
Processor #166 invalid (max 128)
ACPI: LAPIC (acpi_id[0x25] lapic_id[0xa7] enabled)
Processor #167 invalid (max 128)
ACPI: LAPIC (acpi_id[0x26] lapic_id[0xa4] enabled)
Processor #164 invalid (max 128)
ACPI: LAPIC (acpi_id[0x27] lapic_id[0xa5] enabled)
Processor #165 invalid (max 128)

The reason for this is that the local-APIC assignment for CPUs on this box is
sparse; there are gaps in the APIC sequence from one node to the next.  This
means that although there are "only" 64 logical CPUs, the APIC IDs could be
anything in the theoretical range 0-254.  On stock RHEL4, for whatever reason,
MAX_APICS is set to 128.

Bumping MAX_APICS to 255 fixes this problem, and this patch has been submitted
for review to include in a RHEL4 update.
Comment 3 Jim Paradis 2006-01-24 15:05:37 EST
*** Bug 178839 has been marked as a duplicate of this bug. ***
Comment 5 Red Hat Bugzilla 2006-03-07 16:12:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.